0
Hi everyone,

I'm new to Serena, I've just started to use it since a month.

The problem is the following:
I work with IBM Rational Application Developer v7.0, that's the version provided by my company.
I've found the v7.5 installer, and so I've decided to give it a try, installed and configured everything, and after a while, I've reached the final step of this configuration.

I set up the connection to the Dimensions server, then after connecting I receive an error saying "Fetching children has encountered a problem".
I'm attaching a screenshot with the full message.

Unfortunately I cannot update the IDE to a more recent version. AFAIK with the previous (v7.0), someone in my company managed to get it working by installing Dimensions CM v 14.3.3 b9349, and then downgrading just the eclipse plugin to v12.1.0. I can confirm that in this way it worked properly.

I'd like to know if there is any known version that works with RAD 7.5, or any hint on what the error message received means.

Any kind of help will be really, really, really, appreciated!

Have a good day,
Fed.
Attachments:
Responses (3)
  • Accepted Answer

    Tuesday, January 22 2019, 09:37 AM - #Permalink
    0
    Hi Federico

    Firstly the product name is Dimensions CM, not Serena. Secondly you really need to be using a later version of RAD if you have Dimensions CM 14.3.3 installed. The Supported Platform Matrix (attached) shows that you should upgrade RAD to 9.x. One potential cause of the problem with the version of RAD you are trying to use is that it's based on an Eclipse version which is not supported by Dimensions CM 14.3.3. RAD 7.5.x is based on Eclipse 3.4.2 and with Dimensions CM 14.3.3 the minimum Eclipse version we support is 3.8.

    If you still have similar problems having upgraded to RAD 9.x please raise an incident with Support at https://supportline.microfocus.com using your registered name and password or via email to CustomerCare@MicroFocus.com with all the relevant details about your installation.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, January 22 2019, 09:50 AM - #Permalink
    0
    Hi Federico

    Firstly the product name is Dimensions CM, not Serena. Secondly you really need to be using a later version of RAD if you have Dimensions CM 14.3.3 installed. The Supported Platform Matrix (attached) shows that you should upgrade RAD to 9.x. One potential cause of the problem with the version of RAD you are trying to use is that it's based on an Eclipse version which is not supported by Dimensions CM 14.3.3. RAD 7.5.x is based on Eclipse 3.4.2 and with Dimensions CM 14.3.3 the minimum Eclipse version we support is 3.8.

    If you still have similar problems having upgraded to RAD 9.x please raise an incident with Support at https://supportline.microfocus.com using your registered name and password or via email to CustomerCare@MicroFocus.com with all the relevant details about your installation.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, January 22 2019, 11:14 AM - #Permalink
    0
    CM 12.1 was the last version of our product to support RAD 7.0 or 7.5 so the trick your colleague used using that Eclipse plugin would be the same for both versions of RAD. We don't support such an old client connecting to any CM 14.x sever though so you would be doing that at your own risk.

    The error message you are seeing is because our plugin is built with a newer version of the Eclipse API.
    The reply is currently minimized Show
Your Reply